\section{How to use the OMI document template}\label{sec:usage}

When starting a new document the .tex files of this example can be used as a starting point. 
The class "`omi"' for L01b documents has the options "`a4paper/letter"',"'numtbd"' (for numbered TBX), "`linenumbers"' (for line numbers)  and "`copyrightCC"'(creative common license). The font size is always 10pt and the orientation portrait. The line numbers should only be used  when the document is in review or preparation. The creative commons license applies only to a few KNMI documents, therefore the KNMI copyright is default for the omi class!
Part of the commands below have to be set in the preamble (before \verb|\begin{document}|), others should not be changed:
\vfill
\par\noindent
\begin{tabular*}{1\textwidth}{@{\extracolsep{\fill}}l l p{4.5cm}} 
\textbf{Command} & \textbf{Default Value} &\textbf{Purpose} \\ \hline
\verb|\documentnumber{<value>}| & AURA-OMI-KNMI-L01B-????-??& Set the document number. \\
\verb|\setCurrentIssue{<value>}| & x & The svn number is determined in jenkins or when using \verb|make|. Leave as is. \\
\verb|\Date{2019-09-25}| & \verb|\today| & The issue date of the document. Leave as is.\\ 
\verb|\Prepared{author}| & Author & Main author for the pdf info. \\
\verb|\keywords{template,}|&    & Supply main keywords of contents. \\
\verb|\subject{A template}|&    & One sentence description of the subject. \\
\\ \hline
\end{tabular*}


\begin{noindentitemize}
\item The document number and title should be given in the macros in the preamble. This will automatically place them in the required locations. 
\item The \verb|\title| command has an optional parameter that is used for the title in the headers. This optional parameter allows you to use a shorter title for the page headers (the default is to use the same title in both locations). For example, on the title page the full title, like ``Software System Specification for OMI Level 0 to 1b Data Processor'' can be used, but this can be shortened in the properties dialog to ``SSS for the OMI Level 0 to 1b Data Processor'', so that it fits in the page header.
\item The bibliographic (external) references are handled by Bib\TeX{}. The style file is selected in the document class. You will need a bibliographic database (\texttt{.bib} file) with the relevant entries. The location of these files is described in Sec.~\ref{sec:Installation}.
The supplied bibliography style is mostly standard, only the `techreport'-type gained some extra fields. References are cited using \verb|\cite{}|. There is only one bibliography, unlike for the \trop template.
\item We have support for ``To be \emph{whatever-ed}'' items. A list of these items is automatically generated. A special series od commands are available to insert TBx items, currently we have \verb|\TBD[]{}|, \verb|\TBW[]{}|, \verb|\TBC[]{}|, \verb|\TBA[]{}| -- for to be decided, written, checked and answered respectively. These should not be present in final versions of a document. New `TB' items can be added with little effort, although I think the zoo is large enough right now. A class option determines whether these items are numbered or not.
\TBD[This is a demonstration TBC item]{This is a demonstration TBD, everything is clear here. Note that the optional command is used to put a shorter description in the list of <TBx>'s.}
\item Words and terms can be marked for inclusion in the index. Use the \verb|\idx{}| command for this, it will count the number of index items, and only produce an index if there are enough ($\ge 1$) items. The \textit{Makeindex} program is used for the index, multi-level and multi-page entries can be inserted using the makeindex syntax, see for instance~\url{http://nwalsh.com/tex/texhelp/MakeIndex.html}. When using TeXnicCenter the settings in the project profile have to be adapted as described in Section~\ref{sec:texniccenter}.
\item We load the \texttt{amsmath} package, advanced alignment options are available.
\item The document template has been designed with pdf\LaTeX{} in mind. This allows for direct inclusion of PNG, JPEG, and PDF figures using the \texttt{graphicx} package. Note that encapsulated postscript (eps) files are \emph{not} supported. From a (unix) command line it is easy to convert eps files to pdf with \texttt{epstopdf}: \texttt{epstopdf <file>.eps}.
\item This document class is based on the ``article'' class. The highest level of the document structure is the \texttt{section}. 
\item By default the US english hyphenation patterns are selected. 
\item Just like with the command \verb|\TBD[]{}| an optional argument (in \verb|[]|) can be added to captions or figures and tables to appear in the list of tables or list of figures. Please make sure to not just copy and paste these, otherwise the list of figures is meaningless.
\end{noindentitemize}

\begin{note}
 pdf\LaTeX{} only hyphenates, it doesn't check your spelling. Spell-checking is a function of your text editor.
\end{note}